Skip to main content
POST
/
v1
/
escalation_policies
/
{escalation_policy_id}
/
escalation_paths
Creates an escalation path
curl --request POST \
  --url https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_paths \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "escalation_paths",
    "attributes": {
      "name": "<string>",
      "notification_type": "audible",
      "path_type": "escalation",
      "after_deferral_path_id": "<string>",
      "default": true,
      "match_mode": "match-all-rules",
      "position": 123,
      "repeat": true,
      "repeat_count": 123,
      "initial_delay": 123,
      "rules": [
        {
          "rule_type": "alert_urgency",
          "urgency_ids": [
            "<string>"
          ]
        }
      ],
      "time_restrictions": [
        {
          "start_time": "<string>",
          "end_time": "<string>"
        }
      ]
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_paths"

payload = { "data": {
"type": "escalation_paths",
"attributes": {
"name": "<string>",
"notification_type": "audible",
"path_type": "escalation",
"after_deferral_path_id": "<string>",
"default": True,
"match_mode": "match-all-rules",
"position": 123,
"repeat": True,
"repeat_count": 123,
"initial_delay": 123,
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": ["<string>"]
}
],
"time_restrictions": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'escalation_paths',
attributes: {
name: '<string>',
notification_type: 'audible',
path_type: 'escalation',
after_deferral_path_id: '<string>',
default: true,
match_mode: 'match-all-rules',
position: 123,
repeat: true,
repeat_count: 123,
initial_delay: 123,
rules: [{rule_type: 'alert_urgency', urgency_ids: ['<string>']}],
time_restrictions: [{start_time: '<string>', end_time: '<string>'}]
}
}
})
};

fetch('https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "attributes": {
      "name": "<string>",
      "default": true,
      "notification_type": "<string>",
      "escalation_policy_id": "<string>",
      "repeat": true,
      "repeat_count": 123,
      "after_deferral_path_id": "<string>",
      "position": 123,
      "initial_delay": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "rules": [
        {
          "rule_type": "alert_urgency",
          "urgency_ids": [
            "<string>"
          ]
        }
      ],
      "time_restrictions": [
        {
          "start_time": "<string>",
          "end_time": "<string>"
        }
      ]
    },
    "type": "escalation_paths"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

escalation_policy_id
string
required

Body

application/vnd.api+json
data
object
required

Response

escalation path created

data
object
required
included
object[]